Path: API › 网站管理

`POST /site`

为 Apache Web 服务器添加额外的 SSL 监听端口。仅在 Apache 环境下有效，Nginx 环境返回 `null`。

## Request body

_Required._

- `action273.request_time` (string, required) — Unix 时间戳。
- `action273.request_token` (string, required) — 按 API 概览生成的签名。
- `action273.action` (string, required) — 具体操作名称。
  - one of `"apacheAddPort"`
- `action273.port` (integer, required) — 要添加的 HTTPS 端口号

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "apacheAddPort",
  "port": 0
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/site" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=apacheAddPort" \
  --data-urlencode "port=<port>"
```

## Responses

### default

接口响应，业务状态见下方详细说明。


## apacheAddPort

为 Apache Web 服务器添加额外的 SSL 监听端口。仅在 Apache 环境下有效，Nginx 环境返回 `null`。

- **路由**：`POST /site`
- **action**：`apacheAddPort`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `apacheAddPort` |
| port | 是 | Integer | 要添加的 HTTPS 端口号 |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| - | Boolean | `true` 添加成功，Nginx 环境返回 `null` |

## 示例

### 请求

```
POST /site HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=apacheAddPort&port=8443
```

### 响应

```
null
```

